Package de.gebit.integrity.ui.contentassist

## Class IntegrityPrefixMatcher

- java.lang.Object
- - org.eclipse.xtext.ui.editor.contentassist.PrefixMatcher
  - - org.eclipse.xtext.ui.editor.contentassist.FQNPrefixMatcher
    - - de.gebit.integrity.ui.contentassist.IntegrityPrefixMatcher

-     public class IntegrityPrefixMatcher
      extends org.eclipse.xtext.ui.editor.contentassist.FQNPrefixMatcher

  This is a standrd `FQNPrefixMatcher` with a little change: if the value to match starts with a string delimiter character, but the prefix doesn't, we'll add the delimiter to the prefix to make it match if the actual contents inside match.
  Author:
    Rene Schneider - initial API and implementation

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.ui.editor.contentassist.FQNPrefixMatcher

      `org.eclipse.xtext.ui.editor.contentassist.FQNPrefixMatcher.DefaultLastSegmentFinder, org.eclipse.xtext.ui.editor.contentassist.FQNPrefixMatcher.LastSegmentFinder`

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.ui.editor.contentassist.PrefixMatcher

      `org.eclipse.xtext.ui.editor.contentassist.PrefixMatcher.CamelCase, org.eclipse.xtext.ui.editor.contentassist.PrefixMatcher.IgnoreCase`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IntegrityPrefixMatcher()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isCandidateMatchingPrefix​(String aName, String aPrefix)` |

    - ### Methods inherited from class org.eclipse.xtext.ui.editor.contentassist.FQNPrefixMatcher

      `getDelegate, getDelimiter, getLastSegmentFinder, setDelegate, setDelimiter, setLastSegmentFinder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IntegrityPrefixMatcher

          public IntegrityPrefixMatcher()

  - ### Method Detail

    - #### isCandidateMatchingPrefix

          public boolean isCandidateMatchingPrefix​(String aName,
                                                   String aPrefix)

      Overrides:
        `isCandidateMatchingPrefix` in class `org.eclipse.xtext.ui.editor.contentassist.FQNPrefixMatcher`